CMSIS-DSP: arm_mfcc_instance_q31 Struct Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_mfcc_instance_q31 Struct Reference

## Data Fields

const q31_t * | dctCoefs
const q31_t * | filterCoefs
const q31_t * | windowCoefs
const uint32_t * | filterPos
const uint32_t * | filterLengths
uint32_t | fftLen
uint32_t | nbMelFilters
uint32_t | nbDctOutputs
arm_rfft_instance_q31 | rfft

## Field Documentation

const q31_t* dctCoefs

Internal DCT coefficients

uint32_t fftLen

FFT length

const q31_t* filterCoefs

Internal Mel filter coefficients

const uint32_t* filterLengths

Internal Mel filter lengths

const uint32_t* filterPos

Internal Mel filter positions in spectrum

uint32_t nbDctOutputs

Number of DCT outputs

uint32_t nbMelFilters

Number of Mel filters

arm_rfft_instance_q31 rfft

const q31_t* windowCoefs

Windowing coefficients